Subject: Re: Build failure in omap_remoteproc due to 02e6d546e3bd

From: Stephen Rothwell <[email-masked]>
Date: Mon, 30 Mar 2020 07:32:31 +1100

Hi Nathan,

On Fri, 27 Mar 2020 11:50:55 -0700 Nathan Chancellor <[email-masked]> wrote:
>
> Apologies if this has already been reported, I did not see anything in
> the archives. On next-20200327, I see the following build error:
> 
> drivers/remoteproc/omap_remoteproc.c:174:44: error: too many arguments
> to function call, expected 2, have 3
>         timer->timer_ops->set_load(timer->odt, 0, 0);
>         ~~~~~~~~~~~~~~~~~~~~~~~~~~                ^
> 1 error generated.
> 
> This is due to commit 02e6d546e3bd ("clocksource/drivers/timer-ti-dm:
> Enable autoreload in set_pwm") in the clockevents tree interacting with
> commit e28edc571925 ("remoteproc/omap: Request a timer(s) for remoteproc
> usage") from the rpmsg tree.
> 
> Something like the diff below should resolve it but it cannot be applied
> to the rpmsg tree because it does not have the clockevents change. It
> will have to be applied by Linus as a merge fixup.
> 
> Stephen, would you mind applying this to whichever merge happens second?
> 
> Cheers,
> Nathan
> 
> diff --git a/drivers/remoteproc/omap_remoteproc.c b/drivers/remoteproc/omap_remoteproc.c
> index cdb546f7232e..6955fab0a78b 100644
> --- a/drivers/remoteproc/omap_remoteproc.c
> +++ b/drivers/remoteproc/omap_remoteproc.c
> @@ -171,7 +171,7 @@ static int omap_rproc_request_timer(struct device *dev, struct device_node *np,
>  	}
>  
>  	/* clean counter, remoteproc code will set the value */
> -	timer->timer_ops->set_load(timer->odt, 0, 0);
> +	timer->timer_ops->set_load(timer->odt, 0);
>  
>  	return 0;
>  }

Thanks, I will use that as a merge fix up from today.

-- 
Cheers,
Stephen Rothwell